﻿@model List<ARGNSModelComment>
<div class="table-responsive">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>@PDM.Date</th>
                <th>@PDM.User</th>
                <th>@PDM.File</th>
                <th>@PDM.Comments</th>
            </tr>
        </thead>
        <tbody>
            @foreach (ARGNSModelComment item in Model)
            {
                <tr>
                    <td>
                        @item.U_DATE.ToShortDateString()
                    </td>
                    <td>@item.U_USER</td>
                    <td>
                        @{
                                    string[] File = { };
                                    if (item.U_FILEPATH != null)
                                    {
                                        File = item.U_FILEPATH.Split('\\');
                                    }
                                    if (File.Count() > 2)
                                    {

                                        string FullPath = "../../images/" + File[File.Count() - 2] + "/" + File[File.Count() - 1];

                            <a id="@item.Code" href="@FullPath" target="_blank" download="Test" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-file"></span>@item.U_FILE</a>

                            }
                        }
                    </td>
                    <td style="text-align: left;" width="250px;">
                        <div style="overflow-y: scroll; height: 30px; width: 100%">
                            @(item.U_COMMENT != null ? item.U_COMMENT.Trim() : "")
                        </div>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
